Create billing customer
Create billing customer. Scoped to the organization named by organization_id.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
organization_id*string
Match
^org_Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/org_abc123/billing/customer" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "email": "user@example.com" }'{ "customer": { "id": "string", "name": "string", "email": "string", "billing_emails": [ "string" ], "balance": 0, "delinquent": true, "has_payment_method": true, "payment_method": { "type": "string", "brand": "string", "last4": "string", "exp_month": 0, "exp_year": 0, "funding": "string", "is_default": true } }, "status": "created"}